Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026503
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2014-05-09 12:572014-11-05 12:20
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona7ca298ecd76
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026503: When trying to post a Physical Inventory with total cost = 0, Post status should be "Disabled for Accounting"

DescriptionWhen trying to post a Physical Inventory with total cost = 0, Post status should be "Disabled for Accounting"
Steps To ReproduceAs group admin role:
   Create a new product and add a purchase price of 0
   Create a physical inventory for that product and process it
   Launch the Costing Background process
   Check the Transaction cost is 0 in the Product window
   Post the Inventory
   You will get the following message:
      "Error: Posted"
   Unpost it
   You will get the message:
      "Number of unposted documents = 0, Number of deleted journal entries = 0"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00261993.0PR14Q3 closedAtulOpenbravo when trying to post a Work Effort with total cost = 0, the Post status should be "Disabled for Accounting" 
related to defect 0035385 closedluisrs8608 Error is shown when posting a goods movement with a transaction cost of 0 
causes defect 0028089 closedAtulOpenbravo NPE when trying to post an inventory without its cost calculated 

-  Notes
(0067564)
hgbot (developer)
2014-05-29 11:19

Repository: erp/devel/pi
Changeset: a7ca298ecd76968424c6d150e2970325b6472d33
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu May 29 10:41:14 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a7ca298ecd76968424c6d150e2970325b6472d33 [^]

Fixes Issue 26503:When trying to post a Physical Inventory with total cost = 0
Post status should be = Disabled for Accounting

---
M src/org/openbravo/erpCommon/ad_forms/DocInventory.java
---
(0067566)
rafaroda (developer)
2014-05-29 11:27

See images at https://drive.google.com/folderview?id=0B649lz4ZYJcHRkRHeUlxWlNrdWM&usp=sharing [^]

Tested following these steps:
* Created a new product with purchase price 0
* Create physical inventory for the product
* Launched Costing Background Process
* Checked that product transaction tab has line with Transaction Cost = 0: see TransactionCost.png
* Wend back to physical inventory and sawPost status "Disabled for Accounting": see PhysicalInventory.png
(0067588)
hudsonbot (developer)
2014-05-29 23:05

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bd7f8b6f935a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-09 12:57 ngarcia New Issue
2014-05-09 12:57 ngarcia Assigned To => jonalegriaesarte
2014-05-09 12:57 ngarcia Modules => Core
2014-05-09 12:57 ngarcia Triggers an Emergency Pack => No
2014-05-09 12:58 ngarcia Issue Monitored: networkb
2014-05-09 12:58 ngarcia Relationship added related to 0026199
2014-05-19 14:33 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-05-27 14:57 rafaroda Assigned To pramakrishnan => rafaroda
2014-05-27 14:57 rafaroda Status new => scheduled
2014-05-29 11:17 AtulOpenbravo Review Assigned To => rafaroda
2014-05-29 11:17 AtulOpenbravo Assigned To rafaroda => AtulOpenbravo
2014-05-29 11:19 hgbot Checkin
2014-05-29 11:19 hgbot Note Added: 0067564
2014-05-29 11:19 hgbot Status scheduled => resolved
2014-05-29 11:19 hgbot Resolution open => fixed
2014-05-29 11:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a7ca298ecd76968424c6d150e2970325b6472d33 [^]
2014-05-29 11:27 rafaroda Note Added: 0067566
2014-05-29 11:27 rafaroda Status resolved => closed
2014-05-29 23:05 hudsonbot Checkin
2014-05-29 23:05 hudsonbot Note Added: 0067588
2014-11-05 12:16 ngarcia Note Added: 0071417
2014-11-05 12:21 ngarcia Note Deleted: 0071417
2014-11-05 12:40 ngarcia Relationship added causes 0028089
2017-02-28 16:58 ngarcia Relationship added related to 0035385


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker